'****************************************************
' Insectronics: build your own six-legged walking robot
' servo-cal.bas
' Routine to set servos to their middle positions
' PicBasic Pro Compiler 
'****************************************************

temp var byte                       ' initialize variables
freq var byte
m_servo var byte
l_servo var byte
r_servo var byte

portb.7 = 0                         ' set initial logic states to 0
portb.6 = 0
portb.5 = 0

freq = 13                          ' delay value

start:

      m_servo = 140               ' set servo position values
      l_servo = 140
      r_servo = 140

      gosub servo

goto start


servo:                              ' servo positioning subroutine 
       for temp = 1 to 10
           pulsout portb.7,m_servo
           pulsout portb.6,l_servo
           pulsout portb.5,r_servo
           pause freq                   ' set frequency between 50 - 60 Hz
       next temp
return        

